Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.artefact
[Java] Annotation Type ApiDelegate

    java.lang.Object
      grails.artefact.ApiDelegate

    @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
    @java.lang.annotation.Target({ElementType.FIELD})
    @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.codehaus.groovy.grails.compiler.injection.ApiDelegateTransformation")
    public @interface ApiDelegate

Similar to Groovy's

Delegate:
  AST transform but instead assumes the first argument to every method is 'this'.

Authors:
  Graeme Rocher

Since:
  2.0

Required Element Summary
`java.lang.Class` | `value` @return The super class to check for in the first argument of api methods

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### value

    public java.lang.Class value

  Returns:
    The super class to check for in the first argument of api methods

Groovy Documentation